#
# eseur-2years.R,  6 Nov 22
#
# Data from:
# Website logs

library("colorspace")


par(bty="l")
par(las=1)
par(pch="+")
pal_col=rainbow(4)

esd=read.csv("blog/eseur-2years.csv", as.is=TRUE)
esd$Date=as.Date(esd$Date, format="%Y-%m-%d")

plot(esd$Date, esd$A4_pdf, type="b", log="y", col=pal_col[1],
	ylim=c(400, 2.5e5),
	xlab="Date", ylab="Downloads")
lines(esd$Date, esd$A4_kbytes/esd$A4_pdf, col=pal_col[3])
lines(esd$Date, esd$mobile_kbytes/esd$mobile_pdf, col=pal_col[4])

legend("topright", c("A4 downloads", "Mobile downloads",
		"kbytes per A4 download", "kbytes per mobile download"),
				bty="n", fill=pal_col, cex=1.3)

lines(esd$Date, esd$mobile_pdf, type="b", col=pal_col[2])

tw=as.Date("2022-01-01")
esd22=subset(esd, Date > tw)
mean(esd22$A4_pdf)
# [1] 6252.8
mean(esd22$mobile_pdf)
# [1] 734.9

